Loading...
Searching...
No Matches
LZ4_stream_t_internal Struct Reference

`#include <lz4.h>`

Collaboration diagram for LZ4_stream_t_internal:
[legend]

## Data Fields

LZ4_u32 | hashTable [(1<<(14 - 2))]
const LZ4_byte * | dictionary
const LZ4_stream_t_internal * | dictCtx
LZ4_u32 | currentOffset
LZ4_u32 | tableType
LZ4_u32 | dictSize

## Detailed Description

Definition at line 827 of file lz4.h.

## Field Documentation

## currentOffset

LZ4_u32 LZ4_stream_t_internal::currentOffset

Definition at line 831 of file lz4.h.

Referenced by LZ4_compress_fast_extState_fastReset().

## dictCtx

const LZ4_stream_t_internal* LZ4_stream_t_internal::dictCtx

Definition at line 830 of file lz4.h.

## dictionary

const LZ4_byte* LZ4_stream_t_internal::dictionary

Definition at line 829 of file lz4.h.

Referenced by LZ4_saveDict().

## dictSize

LZ4_u32 LZ4_stream_t_internal::dictSize

Definition at line 833 of file lz4.h.

Referenced by LZ4_saveDict().

## hashTable

LZ4_u32 LZ4_stream_t_internal::hashTable[(1<<(14 - 2))]

Definition at line 828 of file lz4.h.

## tableType

LZ4_u32 LZ4_stream_t_internal::tableType

Definition at line 832 of file lz4.h.

The documentation for this struct was generated from the following file:

- lz4.h